package com.ruoyi.project.plant.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.plant.domain.TMtPerson;

/**
 * 会议人员Mapper接口
 *
 * @author ruoyi
 * @date 2021-01-14
 */
public interface TMtPersonMapper
{
    /**
     * 查询会议人员
     *
     * @param id 会议人员ID
     * @return 会议人员
     */
    public TMtPerson selectTMtPersonById(Long id);

    /**
     * 查询会议人员列表
     *
     * @param tMtPerson 会议人员
     * @return 会议人员集合
     */
    public List<TMtPerson> selectTMtPersonList(TMtPerson tMtPerson);

    /**
     * 新增会议人员
     *
     * @param tMtPerson 会议人员
     * @return 结果
     */
    public int insertTMtPerson(TMtPerson tMtPerson);

    /**
     * 修改会议人员
     *
     * @param tMtPerson 会议人员
     * @return 结果
     */
    public int updateTMtPerson(TMtPerson tMtPerson);

    /**
     * 删除会议人员
     *
     * @param id 会议人员ID
     * @return 结果
     */
    public int deleteTMtPersonById(Long id);

    /**
     * 批量删除会议人员
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMtPersonByIds(Long[] ids);
}
